import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listFees(query) {
  return request({
    url: '/business/additional/fees/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getFees(id) {
  return request({
    url: '/business/additional/fees/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addFees(data) {
  return request({
    url: '/business/additional/fees',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateFees(data) {
  return request({
    url: '/business/additional/fees',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delFees(id) {
  return request({
    url: '/business/additional/fees/' + id,
    method: 'delete'
  })
}

export function listByQuotationId(id) {
  return request({
    url: '/business/additional/fees/listByQuotationId/' + id,
    method: 'get'
  })
}

export function listByQuotationIdNew(id) {
  return request({
    url: '/business/additional/fees/listByQuotationIdNew/' + id,
    method: 'get'
  })
}

export function batchAdd(data) {
  return request({
    url: '/business/additional/fees/batchAdd',
    method: 'post',
    data: data
  })
}

export function batchAddNew(data) {
  return request({
    url: '/business/additional/fees/batchAddNew',
    method: 'post',
    data: data
  })
}
